local BASE = (...):gsub('rows')

local Layout = require BASE..'layout'

local Rows = setmetatable({}, Layout)
Rows.__index = Rows


-- Advance position to next row,
-- given current position, widget dimensions and padding.
local function rowadvance(x,y, ww,wh, padding)
    return x, y + wh + padding
end

function Rows.new(args)
    local self = setmetatable(Layout.new(args), Rows)

    self.advance = rowadvance
    self.prev = 'up'
    self.next = 'down'
    return self
end

return Rows
